Subject: Re: bug#6076: 23.1.96; [PATCH] rcirc-complete for nicks and commands

From: Stefan Monnier <[email-masked]>
Date: Mon, 03 May 2010 22:32:39 -0400

>>> The attached patch replaces rcirc-complete-nick with rcirc-complete that
>>> completes both nicks and user commands. User command completion is only
>>> done after '/'.
>> Please try and make it use completion-at-point-functions.
> I thought of this before making the patch.

> rcirc has a very simple completion interface that doesn't get in the
> way.  It cycles through completions if any.  No popup windows no
> minibuffer messages etc.  I have found that excellent for ircing.
> Do you think we should force it into the completion at
> point framework?

I guess the right solution is to improve completion-at-point so that it
can be told to use cycling (the functionality is already provided by the
minibuffer-force-complete command).

This relates to a larger question: how to provide "in-buffer" the
variety of completion commands seen in minibuffer completion.
I.e. minibuffer-completion-help, minibuffer-force-complete,
minibuffer-complete-word, icomplete-mode, ...

        Stefan